function love.load()

	socket = require("socket")
	udp = socket.udp()
	udp:settimeout(0)
	udp:setsockname('*', 12345)

	err			= love.thread.getChannel("err")
	sendlist	= love.thread.getChannel("sendlist")
	thread1		= love.thread.newThread("thread.lua")
	thread1:start()
	
	users = {}
	
end

function love.update()

	data, ip, port = udp:receivefrom()
	if data then
		kind, name = data:match("(%S*) (%S*)")
		
		if kind == "connect" then
		
			u = {
				name	= name,
				ip		= ip,
				port	= port,
			}
			table.insert(users, u)
		
		elseif kind == "disconnect" then
		
			for i,v in pairs(users) do
				if v.name == name and
				v.ip == ip and
				v.port == port then
					table.remove(users, i)
				end
			end
		
		else
		
			for i,v in pairs(users) do
				--if v.name ~= name then
					data = string.gsub(data, " ", ";")
					sendlist:push(string.format("%s %s %s", data, v.ip, v.port))
				--end
			end
		
		end
		
	end

end

function love.draw()

	love.graphics.print(tostring(thread1:isRunning()))
	
	data = err:pop()
	if data then
		if data then
			e1, e2 = data:match("(%S*) (%S*)")
		end
		love.graphics.print(tostring(e1.." "..e2), 0, 15)
	end
	
end